curl --request GET \
--url https://api.aries.com/v1/options/open-close \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/options/open-close"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/options/open-close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"afterHours": 107.34,
"close": 107.34,
"date": "2024-12-16",
"high": 107.34,
"low": 107.34,
"open": 107.34,
"preMarket": 107.34,
"ticker": "O:AAPL251219C00150000",
"volume": 2
}Option Open/Close Data
Retrieve detailed opening and closing prices for specific option contracts on a given date. Calculate intraday option price changes and volatility.
Use Case: Calculate option contract’s daily return by comparing open and close prices.
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Query Parameters
OCC option ticker symbol (e.g., O:AAPL251219C00150000)
Date in YYYY-MM-DD format. Enter the specific calendar date you want to query.
Response
Successful response
Last traded price in after-hours session
Closing price for the trading session
Trade date in YYYY-MM-DD format
Highest price reached during the trading session
Lowest price reached during the trading session
Opening price for the trading session
Last traded price in pre-market session
OCC option ticker symbol
Total number of contracts traded during the session
Was this page helpful?